%define languageenglazy Faroese
%define languagecode    fo
%define lc_ctype        fo_FO

Name:           hunspell-%{languagecode}
Version:        0.4.0
Release:        %mkrel 6
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://fo.speling.org/
Source0:        http://fo.speling.org/filer/myspell-fo-%{version}.tar.bz2

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-fo
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-fo-%{version}

%build
for i in Copyright contributors README; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README Copyright contributors COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-6.mga3
+ Revision: 353461
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.4.0-5.mga3
+ Revision: 325258
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.4.0-4.mga2
+ Revision: 224623
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.4.0-3.mga2
+ Revision: 207745
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 0.4.0-2.mga2
+ Revision: 197701
- adapt .spec to the current policies

* Thu Jul 07 2011 ahmad <ahmad> 0.4.0-1.mga2
+ Revision: 119770
- Update to 0.4.0

* Sat Mar 12 2011 dmorgan <dmorgan> 0.2.43-2.mga1
+ Revision: 68769
- imported package hunspell-fo

